--- include/lcms.h
+++ include/lcms.h	2003/10/27 10:31:42
@@ -60,7 +60,10 @@
 
 // Uncomment this one if you are using big endian machines (only meaningful
 // when NON_WINDOWS is used)
-// #define USE_BIG_ENDIAN   1
+#include <endian.h>
+#if __BYTE_ORDER == __BIG_ENDIAN
+#define USE_BIG_ENDIAN   1
+#endif
 
 // Uncomment this one if your compiler/machine does support the
 // "long long" type This will speedup fixed point math. (USE_C only)
